Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.support.encoding
[Java] Interface EncodingState

    public interface EncodingState

Holds the state of applied encodings

Authors:
  Lari Hotari

Since:
  2.3

Method Summary
`EncodingState` | `appendEncoder(Encoder encoder)`
`java.util.Set` | `getEncoders()` Gets the current encoding state (= encoder that have been applied)

Method Detail

### appendEncoder

    public EncodingState appendEncoder(Encoder encoder)

### getEncoders

    public java.util.Set getEncoders()

  Gets the current encoding state (= encoder that have been applied)
  Returns:
    the encoders that have been applied

Groovy Documentation